*"表題 GMTOOLパラメーター管理 GTOOL3(GMPGET)
*
*"履歴 90/01/10 沼口  敦
*
*
*********************************************************************
*"         << GMTOOLパラメータ（数）を参照 >>
*********************************************************************
      SUBROUTINE GMPGET
     I         ( HP,
     O           IPARA )
*
      CHARACTER HP   *(*)                !" パラメーターの名前
*"   (INTEGER)  IPARA                    ! パラメーターの内容：数字
*
      PARAMETER ( NPP=1 )
*
      REAL      RX( NPP )
      INTEGER   IX( NPP )
      LOGICAL   LX( NPP )
      EQUIVALENCE ( RX,IX,LX )
*
      CHARACTER HPP  ( NPP )*8
      CHARACTER CMSG*80
*
      SAVE
*
      DATA      HPP( 1)/'SIZE    '/, IX( 1)/ 1 /  !" 作業配列サイズ
*
      DO 1100 N = 1, NPP
        IF ( HP .EQ. HPP  (N) ) THEN
          IPARA = IX(N)
          RETURN
        END IF
 1100 CONTINUE
*
      NHP  = LENC(HP)
      CMSG = 'PARAMETER '''//HP(1:NHP)//''' IS NOT DEFINED.'
      CALL MSGDMP( 'E', 'GMPGET', CMSG )
*
      RETURN
*=======================================================================
*"         << GMTOOLパラメータ（数）を設定 >>
*=======================================================================
      ENTRY GMPSET
     I         ( HP, IPARA )
*
      DO 2100 N = 1, NPP
        IF ( HP .EQ. HPP  (N) ) THEN
          IX( N ) = IPARA
          RETURN
        END IF
 2100 CONTINUE
*
      NHP = LENC(HP)
      CMSG = 'PARAMETER '''//HP(1:NHP)//''' IS NOT DEFINED.'
      CALL MSGDMP( 'E', 'GMPSET', CMSG )
*
      RETURN
      END
